CO_OD_storage_t Struct Reference
socketCAN » OD storage

Object Dictionary storage object. More...

`#include <CO_OD_storage.h>`

## Data Fields

uint8_t * | odAddress
| From CO_OD_storage_init()
uint32_t | odSize
| From CO_OD_storage_init()
char * | filename
| From CO_OD_storage_init()
FILE * | fp
| If CO_OD_storage_autoSave() is used, file stays opened and fp is stored here.
uint32_t | lastSavedUs
| used with CO_OD_storage_autoSave.

## Detailed Description

Object Dictionary storage object.

Object is used with CANopen OD objects at index 1010 and 1011.

The documentation for this struct was generated from the following file:

- socketCAN/CO_OD_storage.h